Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers
Interface PluginContext

All Known Implementing Classes:
  BasePluginWrapper.SimplePluginContext

public interface PluginContext

Version:
  $Revision: 1.4 $

  Revisions:

  24 dec 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:

Method Summary
`TreeNodeMenuEntry[]` | `createMenus(String[] content)`
`ResourceTreeNode` | `createResourceNode(String name, String description, String iconUrl, String defaultUrl, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] subResNodes, ManageableResource resource)`
`ResourceTreeNode` | `createResourceNode(String name, String description, String iconUrl, String defaultUrl, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] subResNodes, String jmxObjectName, String jmxClassName)`
`TreeNode` | `createTreeNode(String name, String description, String iconUrl, String defaultUrl, TreeNodeMenuEntry[] menuEntries, TreeNode[] subNodes, ResourceTreeNode[] subResNodes)`
`String` | `encode(String source)`
`javax.management.MBeanServer` | `getLocalMBeanServer()`
`org.jboss.logging.Logger` | `getLogger()`
`javax.management.ObjectInstance[]` | `getMBeansForClass(String scope, String className)`
`String` | `localizeUrl(String source)`

Method Detail

### localizeUrl

    public String localizeUrl(String source)

### getLogger

    public org.jboss.logging.Logger getLogger()

### getLocalMBeanServer

    public javax.management.MBeanServer getLocalMBeanServer()

### getMBeansForClass

    public javax.management.ObjectInstance[] getMBeansForClass(String scope,
                                                               String className)

### createTreeNode

    public TreeNode createTreeNode(String name,
                                   String description,
                                   String iconUrl,
                                   String defaultUrl,
                                   TreeNodeMenuEntry[] menuEntries,
                                   TreeNode[] subNodes,
                                   ResourceTreeNode[] subResNodes)
                            throws Exception

  Throws:
    `Exception`

### createResourceNode

    public ResourceTreeNode createResourceNode(String name,
                                               String description,
                                               String iconUrl,
                                               String defaultUrl,
                                               TreeNodeMenuEntry[] menuEntries,
                                               TreeNode[] subNodes,
                                               ResourceTreeNode[] subResNodes,
                                               String jmxObjectName,
                                               String jmxClassName)
                                        throws Exception

  Throws:
    `Exception`

### createResourceNode

    public ResourceTreeNode createResourceNode(String name,
                                               String description,
                                               String iconUrl,
                                               String defaultUrl,
                                               TreeNodeMenuEntry[] menuEntries,
                                               TreeNode[] subNodes,
                                               ResourceTreeNode[] subResNodes,
                                               ManageableResource resource)
                                        throws Exception

  Throws:
    `Exception`

### createMenus

    public TreeNodeMenuEntry[] createMenus(String[] content)
                                    throws Exception

  Throws:
    `Exception`

### encode

    public String encode(String source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.